Subject: Wierd mount problem with "latest" release
From: Bryan Pizzillo <[email-masked]>
To: [email-masked]
Cc: [email-masked] (Bryan Pizzillo)
Date: Sat, 17 Jun 2000 01:57:51 -0400 (EDT)

Ok, here's the problem.  I used the setup.exe, told it the root directory was 
c:cygwin.
It installed, I went to go run the link from the start bar which tried to run 
c:\cygwin\bin\cygwin.bat...which was not there..no problem, checked the faq, and
so I put the following in there:

@echo off
SET MAKE_MODE=unix
SET PATH=C:\cygwin\bin;c:\cygwin\usr\bin;C:\cygwin\usr\local\bin;%PATH%
bash

(Note I had to add c:\cygwin\usr\bin since that is were cygwin1.dll got put)

Ok, so  run cygwin.bat and get bash...yeah, rockin...no more cmd 
(not to mention I get ls)
BUT, I noticed this wierdness: (I assume it is from c:cygwinbin)

bash-2.04$ mount
Device              Directory           Type         Flags
c:cygwin\bin        /usr/bin            user         binmode
c:cygwin\lib        /usr/lib            user         binmode
c:cygwinbin         /bin                system       textmode
c:cygwin            /                   user         binmode
bash-2.04$ cd /
bash-2.04$ ls
bin                     inetutils-1.3.2.README  uninst.bat
cygwin                  login.README            usr
etc                     tmp                     var
bash-2.04$ cd /bin
bash: cd: /bin: No such file or directory
bash-2.04$ cd /
bash-2.04$ cd /usr
bash: cd: /usr: No such file or directory
bash-2.04$ cd /bin
bash: cd: /bin: No such file or directory
bash-2.04$ ls /usr
ls: /usr: No such file or directory
bash-2.04$ cd /
bash-2.04$ ls
bin                     inetutils-1.3.2.README  uninst.bat
cygwin                  login.README            usr
etc                     tmp                     var
bash-2.04$ cd /bin
bash: cd: /bin: No such file or directory
bash-2.04$ ls /
bin  lib  tmp  usr
bash-2.04$ cd /
bash-2.04$ cd /usr
bash: cd: /usr: No such file or directory
bash-2.04$ cd /bin
bash: cd: /bin: No such file or directory
bash-2.04$ ls /usr
ls: /usr: No such file or directory
bash-2.04$

	Basically, by doing some kind of magic (I think it was the 'cd /bin'), 
all valid mount points do not work.  Funny thing though, commands that are in 
those directories work fine..huh.. (because they are in my windows path, but
spooky none the less)

	Ok, so here goes the questions:

	1) What's up with the c:cygwinbin?  That is not right correct?

	2) Why doesn't c:cygwin\usr\bin mount to /usr/bin
			
			and

		       c:cygwin\bin mount to /bin ?

	   I saw in the archives something about everything gets put into bin, 
which is great except the stuff I schleped out of the latest directory put 
stuff in both /bin and /usr/bin.  So there is no real way to see what is in the 
windows "c:\cygwin\usr\bin", except to go to '/cygdrive/c/cygwin/usr/bin'.
So should I put everything that was put into "c:\cygwin\usr\bin" into 
/bin (a.k.a "c:\cygwin\bin" a.k.a '/usr/bin').  The same goes with '/lib' which
is actually nothing at this point, it does not exist, everything go put 
into "c:\cygwin\usr\lib".  Oh, and setup.exe did all the installation...

	I've included the output of cygcheck so someone can mull over whether 
it is my stupidity or an actuall problem.  (Although being a SysAdmin, I 
usually find that if one person is having a problem, the problem is usually 
between the keyboard and the back of the chair)

	And sorry if this is covered somewhere...although I did not see it in 
the archives, nor in the FAQ/manual.
	
Thanks in advance.

bash-2.04$ cygcheck -s -r -v

Cygnus Win95/NT Configuration Diagnostics
Current System Time: Sat Jun 17 01:34:39 2000

WinNT Ver 5.0 build 2195

Path:   /cygdrive/c/cygwin/bin
        /cygdrive/c/cygwin/usr/bin
        /cygdrive/c/cygwin/usr/local/bin
        /cygdrive/c/WINNT/system32
        /cygdrive/c/WINNT
        /cygdrive/c/WINNT/System32/Wbem
        /cygdrive/c/Program Files/Microsoft Visual Studio/vc98/bin
        /cygdrive/c/utils
        /cygdrive/c/PROGRA~1/NCFTP

SysDir: C:\WINNT\System32
WinDir: C:\WINNT

MAKE_MODE = `unix'
PWD = `/cygdrive/c/cygwin'

!C: = `C:\'
ALLUSERSPROFILE = `C:\Documents and Settings\All Users'
APPDATA = `C:\Documents and Settings\sturm\Application Data'
CLASSPATH = `C:\WINNT\System32\QTJava.zip'
COMMONPROGRAMFILES = `C:\Program Files\Common Files'
COMPUTERNAME = `CRACKWHORE'
COMSPEC = `C:\WINNT\system32\cmd.exe'
HOMEDRIVE = `C:'
HOMEPATH = `\'
HOSTNAME = `CRACKWHORE'
HOSTTYPE = `i586'
LOGONSERVER = `\\CRACKWHORE'
MACHTYPE = `i586-pc-cygwin'
NUMBER_OF_PROCESSORS = `1'
OLDPWD = `/cygdrive/c/cygwin/usr'
OS2LIBPATH = `C:\WINNT\system32\os2\dll;'
OS = `Windows_NT'
OSTYPE = `cygwin'
PATHEXT = `.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH'
PROCESSOR_ARCHITECTURE = `x86'
PROCESSOR_IDENTIFIER = `x86 Family 6 Model 6 Stepping 5, GenuineIntel'
PROCESSOR_LEVEL = `6'
PROCESSOR_REVISION = `0605'
PROGRAMFILES = `C:\Program Files'
PROMPT = `$P$G'
QTJAVA = `C:\WINNT\System32\QTJava.zip'
SHELL = `/bin/sh'
SHLVL = `1'
SYSTEMDRIVE = `C:'
SYSTEMROOT = `C:\WINNT'
TEMP = `C:\DOCUME~1\sturm\LOCALS~1\Temp'
TERM = `cygwin'
TMP = `C:\DOCUME~1\sturm\LOCALS~1\Temp'
USERDOMAIN = `CRACKWHORE'
USERNAME = `sturm'
USERPROFILE = `C:\Documents and Settings\sturm'
WINDIR = `C:\WINNT'
_ = `/cygdrive/c/cygwin/usr/bin/cygcheck'
TZ = `EST5EDT4,M4.1.0/2,M10.5.0/2'

HKEY_CURRENT_USER\Software\Cygnus Solutions
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
  (default) = `/cygdrive'
  cygdrive flags = 0x00000020
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/
  (default) = `c:cygwin'
  flags = 0x00000002
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
  (default) = `c:cygwin\bin'
  flags = 0x00000002
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
  (default) = `c:cygwin\lib'
  flags = 0x00000002
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\00
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\01
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\02
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\03
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\04
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\05
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\06
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\07
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\08
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\09
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0A
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0B
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0C
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0D
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0E
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0F
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\10
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\11
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\12
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\13
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\14
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\15
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\16
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\17
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\18
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\19
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1A
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1B
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1C
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1D
HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrder\S
tart Menu\Programs\Cygnus Solutions
  (default) = (unsupported type)
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\Installed Components
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\Installed Components\c:cygwin
  (default) = `0000'
  bash = `0002.0004.0001'
  binutils = `19990818.0001'
  zlib = `0001.0001.0003.0001'
  time = `0000'
  textutils = `0000'
  texinfo = `0000'
  termcap = `0002'
  tcltk = `20000610'
  tar = `0000'
  shellutils = `0000'
  sed = `0003.0002.0001'
  patch = `0000'
  man = `0001.005g.0002'
  make = `0003.0079.0001'
  m = `0000'
  login = `0001.0002'
  libpng = `0001.0000.0006.0001'
  less = `0000'
  inetutils = `0001.0003.0002.0002'
  gzip = `0000'
  groff = `0001.011a.0001'
  gperf = `0000'
  gdb = `20000610'
  gcc = `0002.0095.0002.0001'
  gawk = `0000'
  flex = `0000'
  findutils = `0000'
  fileutils = `0000'
  expect = `0000'
  diff = `0000'
  dejagnu = `0000'
  cygwin = `0001.0001.0002'
  clear = `0001.0000'
  bzip = `0000'
  byacc = `0000'
  bison = `0000'
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/bin
  (default) = `c:cygwinbin'
  flags = 0x00000008
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\00
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\01
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\02
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\03
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\04
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\05
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\06
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\07
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\08
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\09
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0A
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0B
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0C
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0D
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0E
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0F
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\10
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\11
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\12
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\13
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\14
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\15
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\16
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\17
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\18
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\19
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1A
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1B
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1C
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1D

a:  fd           N/A    N/A
c:  hd  FAT32  19459Mb  78% CP    UN
d:  cd           N/A    N/A
f:  fd  FAT       95Mb  89% CP    UN           ZIP-100

c:cygwin\bin  /usr/bin  user    binmode
c:cygwin\lib  /usr/lib  user    binmode
c:cygwinbin  /bin     system  textmode
c:cygwin  /        user    binmode

Found: c:\cygwin\bin\bash.exe
Found: c:\cygwin\bin\cat.exe
Found: c:\cygwin\usr\bin\cpp.exe
Found: c:\cygwin\bin\find.exe
Found: c:\cygwin\usr\bin\gcc.exe
Found: c:\cygwin\usr\bin\gdb.exe
Found: c:\cygwin\usr\bin\ld.exe
Found: c:\cygwin\bin\ls.exe
Found: c:\cygwin\usr\bin\make.exe
Not Found: sh

   83k 2000/06/11 c:\cygwin\usr\bin\cygitcl30.dll - os=4.0 img=1.0 sys=4.0
                  "cygitcl30.dll" v0.0 ts=2000/6/10 23:34
   35k 2000/06/11 c:\cygwin\usr\bin\cygitk30.dll - os=4.0 img=1.0 sys=4.0
                  "cygitk30.dll" v0.0 ts=2000/6/10 23:34
  402k 2000/06/11 c:\cygwin\usr\bin\cygtcl80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtcl80.dll" v0.0 ts=2000/6/10 23:30
    5k 2000/06/11 c:\cygwin\usr\bin\cygtclpip80.dll - os=4.0 img=1.0 sys=4.0
   10k 2000/06/11 c:\cygwin\usr\bin\cygtclreg80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtclreg80.dll" v0.0 ts=2000/6/10 23:30
  639k 2000/06/11 c:\cygwin\usr\bin\cygtk80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtk80.dll" v0.0 ts=2000/6/10 23:34
  575k 2000/06/07 c:\cygwin\usr\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin1.dll" v0.0 ts=2000/6/6 22:20
Use -h to see help about each section
bash-2.04$

--
Want to unsubscribe from this list?
Send a message to [email-masked]